import numpy as np
import string

def read_dust_kappa(file):

  f = open(file)
  lines = f.readlines()
  f.close()
  
  n = int(string.strip(lines[1]).split()[0])
  
  lines = lines[2:]  

  lam        = np.zeros(n)
  kappa_abs  = np.zeros(n)  
  kappa_scat = np.zeros(n)  
  
  for i in range(n):
    l = lines[i].strip().split()
    lam[i]       = float(l[0])
    kappa_abs[i] = float(l[1])
    kappa_scat[i]= float(l[2])
  
  return lam,kappa_abs,kappa_scat

def read_spectrum(file):

  f = open(file)
  lines = f.readlines()
  f.close()
  
  n = int(string.strip(lines[1]).split()[0])
  
  lines = lines[3:]  

  lam        = np.zeros(n)
  flux  = np.zeros(n)  
  
  for i in range(n):
    l = lines[i].strip().split()
    lam[i]  = float(l[0])
    flux[i] = float(l[1])
  
  return lam,flux


def read_amr_grid(file):

  f = open(file)
  lines = f.readlines()
  f.close()
  
  n = int(string.strip(lines[5]).split()[0])
  
  lines = lines[6:]
  
  r = np.zeros(n)
  for i in range(n):
    r[i]=float(lines[i].strip())
  
  return r


def read_dust_temperature(file):


  f = open(file)
  lines = f.readlines()
  f.close()
  
  n = int(string.strip(lines[1]))
  
  lines = lines[3:]

  t = np.zeros(n)
  for i in range(n):
    t[i]=float(lines[i].strip())
  
  return t



def read_image(file):

  f = open(file)
  lines = f.readlines()
  f.close()
  
  nx = int(string.strip(lines[1]).split()[0])
  ny = int(string.strip(lines[1]).split()[1])


  size_x = float(string.strip(lines[3]).split()[0])
  size_y = float(string.strip(lines[3]).split()[1])


  lines = lines[6:]
  
  data = np.zeros((nx,ny))
  k=0
  
  for iy in xrange(ny):
    for ix in xrange(nx):
      data[ix,iy] = float(string.strip(lines[k]))
      k=k+1
      
  return data
